#version 450 core

out vec4 outColor;

const float NOISE_RANGE = 0.05;
const float NOISE_BASE  = 0.05;

float random(vec4 seed) {
    return fract(sin(dot(seed, vec4(12.9898, 78.233, 45.164, 53.1324))) * 43758.5453);
}

void main() {
    float rnd = random(gl_FragCoord);
    vec3 rgb = vec3(NOISE_BASE + NOISE_RANGE * rnd);

    outColor = vec4(rgb, 1.0);
}
